AutoCAD Inventor :: ILogic - Get Extents Of A Sketch?
Sep 13, 2011Is there some method to get the extents (i.e. bounding box) of a sketch? I'd like the vertical and horizontal dimension.
View 1 RepliesIs there some method to get the extents (i.e. bounding box) of a sketch? I'd like the vertical and horizontal dimension.
View 1 RepliesHow to make Automatic Update propeties for Flat Pattern Extens. I have write code and setting rules trigerred by event (Before save, Any model Parameter Change) but if some parameter change properties isn't automatic update. So could some one tell me how to solve this problem.
Part with iLogic code is attached
We use the snippets from iLogic on all of our parts to measure the length, width or height of our parts. However, we have noticed that when a 'Move Face' operation or a 'Replace Face' operation is used, the length measured does not seem to take into account the Move/Replace operations.
Are the Move/Replace operations different than other features like Extrude/Revolve? Is there something "ghost-like" about them??? The edges work fine on the drawing side, so I'm not sure what is different. Maybe it is the iLogic snippet?
In regards to it being the snippet, is there another code I can use that doesn't require specific feature or part information built in?
Inventor 2013 Product Design Suite
Vault Professional 2013
Windows7 x64
Autodesk Inventor Certified Professional
I want to have a Blank size custom iproperty using flat extents length and width this is what i did but gives error is there a way to get this to work the way I want it to? I dont want a Length and width to be seperated would like it all in one.
iProperties.Value("Custom", "BLANK SIZE")=Round(SheetMetal.FlatExtentsLength, 3)"X"=Round(SheetMetal.FlatExtentsWidth, 3)
I want to replace view labels in drawings with sketch symbols to get a different appearance to my drawings. (As far as i know it is not possible to change the appearance of the standard view label.) See attached snap of my desired view label.
I have used i logic on several occasions successfully but im not experienced at all. The way I see this working is for a sketch symbol to be inserted below a view when it is created,the standard view label being omitted & the Scale/Name/Sheet details linking to the sketch symbol through parameters.
I need to draw in a sketch on a drawing. The sketch is created OK, but I get the error "The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))" at Call oSketch.SketchLines.AddByTwoPoints.
Dim oSketch As DrawingSketch
oSketch=ThisDrawing.ActiveSheet.Sheet.sketches.add
Dim oTranGeo As TransientGeometry
oTranGeo = ThisApplication.TransientGeometry
' Draw two point line in the sketch.
Call oSketch.SketchLines.AddByTwoPoints(oTranGeo.CreatePoint2d(10 * 2.54, 10 * 2.54), oTranGeo.CreatePoint2d(30 * 2.54, 45 * 2.54))
I am trying to create a sketch symbol with info about the first view on a sheet. It seems to work fine with any of the properties built in, but I am trying to include the scale. There are lots of posts about putting scale in a title block, but I can't seem to get the same code to work for a sketch symbol.
View 5 Replies View RelatedHow do i target a specific sketch symbol within a view and control it with iLogic?
View 9 Replies View RelatedI want Inventor to add sketch symbols automaticly on cordinates according to a Custom Text Paramater
for example I have created Custom Multi Value Text User parameter Approved & Not Approved or Plate Work Notes & SteelWork Notes wich each represent diffrent sketch symbols that needs to be placed out base on the value selected. Each sheet consist of diffrent sketch symbols
insert a sketch symbol to a specific coordinate on a dwg border (top middle of dwg)
Workflow needed is as follows
Copy Sketched symbol folder from Standard.dwg from (C:UsersPublicDocumentsAutodeskInventor 2012Templates.Paste into open dwg document and yes to all to overide symbolsPlace a named sketched symbol from drawing resources folder ie (PRELIMINARY) to top center of all sheets within documentreturn to first sheet when complete My new dwg has symbols in correct place so any new dwgs this is ok but we need to add it to hundreds of dwgs when opened or revised,so i want to tie this to external rule and trigger on save event.
Much of our work is structures fabricated from steel plate. One of our practices is to add a note " (SK) " to the description of plates that have a detailed sketch somewhere in the fab drawing set (simple rectangular or circular plates with no additional features do not get these detailed sketches). The actual "detailed sketch" is just a dimensioned drawing view of that plate.
I've been working on automating this process so that Inventor can actually determine for the user whether or not the sketch is required. I have it in certain part templates by default. Other templates add the note automatically through iLogic when certain plate features are selected, or when the model consists of multiple part features.
This leaves one remaining case that the current set of rules can't catch - when the user creates cutouts, notches, etc. by modifying the sketch for the original extrusion. I have determined a method for catching that case, but haven't yet figured out how to program it.
What I want to do is count all of the lines, arcs, and circles in the first model sketch. If that count returns a number other than 4 lines, the note will be added. If any arcs are detected, the note will be added. If any circles are detected with lines also present, the note will be added. There may be other cases that will come up in testing that need to be covered, but I ran into an issue before I got that far. Construction geometry messes up the count - I need a way to exclude it.
Below is the test code I have so far for the counter. what techniques I can use to get construction geometry out of the count. This code doesn't include the provisions for actually adding the note yet - I'm just trying to get the counter working right first. Instead it's just displaying the total count in a message box for test purposes.
oDoc=ThisDoc.Document
oSketch=oDoc.ComponentDefinition.Sketches.Item(1)
LineCount=oSketch.Sketchlines.count
CircleCount=oSketch.SketchCircles.count
ArcCount=oSketch.SketchArcs.count
TotalCount=LineCount+CircleCount+ArcCount
MessageBox.Show("Total Count "&TotalCount, "Title")
I'm building a product configuration which includes some helical curves. I want to find out how I can change the direction of a Helical curve feature in a 3D sketch.
Variables like pitch and diameter are parameters, but the direction isn't.
I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.
Here is the code process I envision:
1. Automatically select a straight line.
2. Find the location of its end points.
3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).
4. If they are vertically aligned, apply a vertical constraint.
5. Select next line and repeat.
Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.
How do I turn sketch visibility on and off using ILogic rules.
View 3 Replies View RelatedThe company I'm working for is moving toward standardising all plant designs. iLogic appears to be the best way for rapidly producing assemblies that keep to a standard.
My new task is to automate the adding of walkways (including hand rails) to large plants. My idea is that walkways would be added to the plant similar to how frame generator works. The draftsman would draw a sketch on a plane around the structure. He would then run a form (That looks like the frame generator form).He would select the lines, a rule would capture the length of that line, pattern the standard walkway along the line until the line intersection, add a corner walkway, and then pattern the straight walkways again.
1) I do not know the ilogic code in order to 'get' a length from the lines that the user selects.
2) how does one constrain the center line of a part to a sketch line.
The second idea I had to create the walkway is (without a sketch), was to have a form that has a dropdown list of all the standard walkway pieces. The form would work almost like adding a bolted connection to an assembly (e.g. bolt, washer, nut, washer, nut). The draftsman would for instance, choose an straight 800mm part, a 1200mm part, a corner(left), a 1200mm part. Each walkway assembly piece, would then be added to the main assembly in the correct order and constrained. BTW, is there any book with all the inventor iLogic code, function and uses? I have found myself pouring though so many forums and picking up bits and pieces, but no actual instruction.
Here I attached my model view it's just for reference here iam using rectangular pattern and simple ilogic code .Using rectangular pattern we will get all same sizes of boxes but i want to change different different sizes and positions. my idea is without using pattern just draw one rectangular through parameter. Select no. of compartments automatically copy and paste that rectangular in same sketch plane and ask sizes and positions dimensions.
It's possible through ilogic?
In my panel bar options are:
Hight of panel- Hight of panel
width1- Width of panel
Depth1-Depth of panel
com1- no.of Compartments
hIN- No.of Hinges
I've managed to cobble this code together to turn some sketch visibilities on and off. However, what I'd really like to do is have a single sketch containing some blocks, and turn the visibility of the blocks on and off... How to call the blocks -
'Iterate through the sketches collection'Turn the edging indicators On And Off
For Each oSketch In oDoc.ComponentDefinition.Sketches Select Case
oSketch.NameCase "Front Edged"If E01 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Top Edged"If E02 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Back Edged"If E03 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Base Edged"If E04 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfEnd SelectNext
My iLogic ability is quite limited outside of what I use regularly?
I am trying to change the font style in every text definition in all my sketch symbols in one go. Actually I have started it based on only a selection set but I would be happy with just all symbols too. Below is where I got to, I am stuck on the For Each line to cover each text box in the symbol. Some of the other syntax may not be right either but I can't test it all the way through.
Dim oDoc As DrawingDocument: oDoc = ThisApplication.ActiveDocumentDim oSheet As Sheet: oSheet = oDoc.ActiveSheetDim i As LongDim oSymDef As SketchedSymbolDefinition: oSymDef = oDoc.SketchedSymbolDefinitions.Item(i)Dim oText As TextBoxesFor i = 1 To oDoc.SelectSet.CountFor Each oText In ............oSymDef.TextBoxes.Item(i).FormattedText ="<StyleOverride Font='ARIAL'>...< /StyleOverride>"NextNextInventorVb.DocumentUpdate()
Also the XML style override is not complete if this is the only way to achieve this result.
Inventor Professional 2013, Autodesk Simulation Multiphysics 2013
Windows 7 x64 Core i7 32GB Ram FX2000
I have a template that I have created, in it I have a rule that changes the stock number and description based on which sheet metal rule is selected. The weird thing is it works correctly if the first sketch is a rectangle. If you sketch a circular shape and make that the face it will not work. It blanks out the values for the stock number and description.
I'm running Inventor 2014 update 2.
Format:HTML Format Version:1.0 StartHTML: 165 EndHTML: 33212 StartFragment: 314 EndFragment: 33180 StartSelection: 314 EndSelection: 314
SyntaxEditor Code Snippet
DimiPropValAsString=""
DimiPropDesAsString=""
SelectCaseSheetMetal.GetActiveStyle()
[code]...
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies View RelatedHow do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
First we imported an ".igs" file to inventor, which produced "wires". Then by promoting the wires it produced a 3-d sketch.
The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.
The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch
want to change sketch 2013 into the sketch of 2010
View 1 Replies View RelatedWhen I edit certain sketched some other sketches disappear. see attached.
This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.
After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.
View 6 Replies View Relatedwhat is the difference between a sketch and a planar sketch?
View 2 Replies View RelatedI have some users that use Solid Viewer that I am cosidering switching to Inventor LT. I use Inventor Pro. There is a feature in SolidWorks that let's them quickly display the overall extents; length, width, and height for quoting purposes. The tool creates a transparent box around the 3D model and displays these dimensions.
View 6 Replies View RelatedI have unfolded a 3D model into a flat plate, however the bend lines/extents do not appear in ISO.dwg
I doubled clicked into the view to access 'Display Options'. However, I cannot tick the box to display bend extents as this option is shaded out (refer to attached screen dump).
I am using IV ultimate 2013
just found about this add-in:[URL]
But its not working for me:
I ran the installer, created a sheet metal part and hit rebuild all, it did not create any proeprties, also tried to manually create the properteis then hit rebuild, no go.
I also did a search on my hardrive for the ApplicationPlugins, and placed the sheet metal folder in all of them(there were 3) tried again noto.
The add-in also does not appear in the add-in manager.
Or is there different what to get the flat pattern dimensions in 2013
When you create your own template part file and change the "Initial View Extents" setting in Document Settings on the Modelling Tab. Does this affect the behavior of the initial view extents when re-opening a part file created from this template?
FYI - I recently created a new template part file so that the sketch gridline spacing was more relevant to the size of parts I create. I like to use gridlines while in sketch mode because it is a good visual indicator that I'm in sketch mode. On opening a new part file that referenced to my new template, I noticed that the initial view extents meant only a couple of gridlines were visible due to the zoom level. I therefore tweaked my template file by increasing the initial view extents by a factor of 4 (400mm x 200mm).
The problem now is when opening a part file created from this template, the zoom level seems to snap to the customised view extents and not to the physical extents of the part. Right clicking the View Cube and re-setting the "Fit to View" has no effect. This feature seems broken now that I use modified initial view extents.